cURL
curl --request PATCH \ --url https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/security/secrets \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "openaiApiKey": { "value": "some secret api key" }, "allowedModels": { "value": [ "gpt4", "gpt4o" ] } } '
{ "openaiApiKey": { "value": "some secret api key" }, "allowedModels": { "value": [ "gpt4", "gpt4o" ] } }
Patch workspace secrets
Documentation IndexFetch the complete documentation index at: https://prismeai-legacy.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://prismeai-legacy.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Workspace id
Show child attributes
Success Response
Was this page helpful?